Page MenuHomePhabricator

[clang][BFloat] Add reinterpret cast intrinsics
ClosedPublic

Authored by stuij on May 13 2020, 8:17 AM.

Details

Summary

This patch is part of a series implementing the Bfloat16 extension of the
Armv8.6-a architecture, as detailed here:

https://community.arm.com/developer/ip-products/processors/b/processors-ip-blog/posts/arm-architecture-developments-armv8-6-a

The bfloat type, and its properties are specified in the Arm Architecture
Reference Manual:

https://developer.arm.com/docs/ddi0487/latest/arm-architecture-reference-manual-armv8-for-armv8-a-architecture-profile

The following people contributed to this patch:

  • Luke Cheeseman
  • Alexandros Lamprineas
  • Luke Geeson
  • Ties Stuij

Diff Detail

Event Timeline

stuij created this revision.May 13 2020, 8:17 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 13 2020, 8:17 AM
stuij retitled this revision from [clangd][BFloat] Add reinterpret cast intrinsics to [clang][BFloat] Add reinterpret cast intrinsics.May 13 2020, 8:38 AM
kadircet removed a subscriber: kadircet.May 13 2020, 8:51 AM
kadircet added a subscriber: kadircet.
kadircet removed a subscriber: kadircet.

As I was an author of this patch (among others) please could you add a list of authors to the commit message. Thanks!

stuij updated this revision to Diff 264590.May 18 2020, 4:48 AM

adhere to attribution conventions: change author to Ties, add all the contributors

stuij edited the summary of this revision. (Show Details)May 20 2020, 3:44 AM
stuij edited the summary of this revision. (Show Details)May 22 2020, 3:13 AM
samparker accepted this revision.May 28 2020, 7:52 AM
samparker added a subscriber: samparker.

csilUcUsUiUlhfPcPsQcQsQiQlQUcQUsQUiQUlQhQfQPcQPs.

I cry inside every time I see those wonderful strings, but oh well... probably best to appease the lint gods before committing.

This revision is now accepted and ready to land.May 28 2020, 7:52 AM
This revision was automatically updated to reflect the committed changes.